kind: Deployment
apiVersion: apps/v1
metadata:
  name: python-app
  namespace: python
  labels:
    app: python
spec:
  selector:
    matchLabels:
      app: python
  replicas: 1
  template:
    metadata:
      labels:
        app: python
    spec:
      containers:
      - name: python-app
        image: 291820600445.dkr.ecr.ap-southeast-1.amazonaws.com/python:latest
        ports:
        - containerPort: 5000

---------------------------------

apiVersion: v1
kind: Service
metadata:
  name: python
  namespace: python
spec:
  type: LoadBalancer 
  ports:
    - port: 80
      targetPort: 5000
  selector:
    app: python

----------------------------

apiVersion: extensions/v1beta1
kind: Ingress
metadata:
  name: python-ingress
  namespace: python
  annotations:
    kubernetes.io/ingress.class: "nginx"
    nginx.ingress.kubernetes.io/rewrite-target: /
    cert-manager.io/cluster-issuer: "letsencrypt-prod"
spec:
  rules:
  - host: python.bablubharath.xyz
    http:
      paths:
      - backend:
          serviceName: python
          servicePort: 5000
        path: /
  tls:
  - hosts:
    - python.bablubharath.xyz
    secretName: python-secret